fixup_datafile(3)

NAME
fixup_datafile

SYNOPSIS
#include <allegro.h>

void fixup_datafile(DATAFILE *data);

DESCRIPTION
If you are using compiled datafiles (produced by the dat2s utility) that contain truecolor images, you must call this function once after your set the video mode that you will be using, to convert the color values into the appropriate format. It handles flipping between RGB and BGR formats, and converting between different color depths whenever that can be done without changing the size of the image (ie. changing between 15<->16 bit hicolor for both bitmaps and RLE sprites, and 24<->32 bit truecolor for RLE sprites).

SEE ALSO
set_gfx_mode(3), set_color_conversion(3)